:root,
html,
body {
	font-size: 16px !important;
}

#kt_aside {
	background-color: var(--menu_bg);
	color: var(--menu_fg);
}

#kt_aside .menu-title-gray-800 .menu-item .menu-link .menu-title {
	color: var(--menu_fg);
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
	#kt_header {
		display: none;
	}

	.header-fixed.toolbar-fixed .toolbar {
		top: 0px;
	}

	.header-fixed.toolbar-fixed .wrapper {
		padding-top: calc(var(--kt-toolbar-height));
	}

	.toolbar-fixed .toolbar {
		-webkit-box-shadow: 0 0 5px #ccc;
		box-shadow: 0 0 5px #ccc;
	}

	#kt_aside {
		box-shadow: 10px 0 20px 0 rgb(0 0 0 / 10%);
	}
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 2000px) {
	.v-card__text,
	.v-input {
		font-size: 1rem !important;
	}

	.v-icon.v-icon {
		font-size: 1.6rem;
	}

	.v-input__prepend-outer {
		margin-right: 1rem;
	}
}

@media (min-width: 2500px) {
	:root,
	html,
	body {
		font-size: 16px !important;
	}
}

.loader {
	border: 5px solid rgba(255, 255, 255, 0.7); /* Light grey */
	border-top: 5px solid transparent;
	border-radius: 50%;
	width: 24px;
	height: 24px;
	animation: spin 1s linear infinite;
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

.toolbar {
	padding: 0;
}

.v-text-field .v-label {
	transform-origin: left;
}

.theme--light.v-sheet--outlined {
	border: 1px solid #ddd;
}

/** Bootstrap 4.3.1 table CSS **/
.table {
	width: 100%;
	margin-bottom: 1rem;
	color: #212529;
}

.table th,
.table td {
	padding: 0.75rem;
	vertical-align: top;
	border-top: 1px solid #dee2e6;
}

.table thead th {
	vertical-align: bottom;
	border-bottom: 2px solid #dee2e6;
	font-weight: 700;
}

.table tbody + tbody {
	border-top: 2px solid #dee2e6;
}

.table-sm th,
.table-sm td {
	padding: 0.3rem;
}

.table-bordered {
	border: 1px solid #dee2e6;
}

.table-bordered th,
.table-bordered td {
	border: 1px solid #dee2e6;
}

.table-bordered thead th,
.table-bordered thead td {
	border-bottom-width: 2px;
}

.table-borderless th,
.table-borderless td,
.table-borderless thead th,
.table-borderless tbody + tbody {
	border: 0;
}

.table-striped tbody tr:nth-of-type(odd) {
	background-color: rgba(0, 0, 0, 0.05);
}

.table-hover tbody tr:hover {
	color: #212529;
	background-color: rgba(0, 0, 0, 0.075);
}

.table-primary,
.table-primary > th,
.table-primary > td {
	background-color: #b8daff;
}

.table-primary th,
.table-primary td,
.table-primary thead th,
.table-primary tbody + tbody {
	border-color: #7abaff;
}

.table-hover .table-primary:hover {
	background-color: #9fcdff;
}

.table-hover .table-primary:hover > td,
.table-hover .table-primary:hover > th {
	background-color: #9fcdff;
}

.table-secondary,
.table-secondary > th,
.table-secondary > td {
	background-color: #d6d8db;
}

.table-secondary th,
.table-secondary td,
.table-secondary thead th,
.table-secondary tbody + tbody {
	border-color: #b3b7bb;
}

.table-hover .table-secondary:hover {
	background-color: #c8cbcf;
}

.table-hover .table-secondary:hover > td,
.table-hover .table-secondary:hover > th {
	background-color: #c8cbcf;
}

.table-success,
.table-success > th,
.table-success > td {
	background-color: #c3e6cb;
}

.table-success th,
.table-success td,
.table-success thead th,
.table-success tbody + tbody {
	border-color: #8fd19e;
}

.table-hover .table-success:hover {
	background-color: #b1dfbb;
}

.table-hover .table-success:hover > td,
.table-hover .table-success:hover > th {
	background-color: #b1dfbb;
}

.table-info,
.table-info > th,
.table-info > td {
	background-color: #bee5eb;
}

.table-info th,
.table-info td,
.table-info thead th,
.table-info tbody + tbody {
	border-color: #86cfda;
}

.table-hover .table-info:hover {
	background-color: #abdde5;
}

.table-hover .table-info:hover > td,
.table-hover .table-info:hover > th {
	background-color: #abdde5;
}

.table-warning,
.table-warning > th,
.table-warning > td {
	background-color: #ffeeba;
}

.table-warning th,
.table-warning td,
.table-warning thead th,
.table-warning tbody + tbody {
	border-color: #ffdf7e;
}

.table-hover .table-warning:hover {
	background-color: #ffe8a1;
}

.table-hover .table-warning:hover > td,
.table-hover .table-warning:hover > th {
	background-color: #ffe8a1;
}

.table-danger,
.table-danger > th,
.table-danger > td {
	background-color: #f5c6cb;
}

.table-danger th,
.table-danger td,
.table-danger thead th,
.table-danger tbody + tbody {
	border-color: #ed969e;
}

.table-hover .table-danger:hover {
	background-color: #f1b0b7;
}

.table-hover .table-danger:hover > td,
.table-hover .table-danger:hover > th {
	background-color: #f1b0b7;
}

.table-light,
.table-light > th,
.table-light > td {
	background-color: #fdfdfe;
}

.table-light th,
.table-light td,
.table-light thead th,
.table-light tbody + tbody {
	border-color: #fbfcfc;
}

.table-hover .table-light:hover {
	background-color: #ececf6;
}

.table-hover .table-light:hover > td,
.table-hover .table-light:hover > th {
	background-color: #ececf6;
}

.table-dark,
.table-dark > th,
.table-dark > td {
	background-color: #c6c8ca;
}

.table-dark th,
.table-dark td,
.table-dark thead th,
.table-dark tbody + tbody {
	border-color: #95999c;
}

.table-hover .table-dark:hover {
	background-color: #b9bbbe;
}

.table-hover .table-dark:hover > td,
.table-hover .table-dark:hover > th {
	background-color: #b9bbbe;
}

.table-active,
.table-active > th,
.table-active > td {
	background-color: rgba(0, 0, 0, 0.075);
}

.table-hover .table-active:hover {
	background-color: rgba(0, 0, 0, 0.075);
}

.table-hover .table-active:hover > td,
.table-hover .table-active:hover > th {
	background-color: rgba(0, 0, 0, 0.075);
}

.table .thead-dark th {
	color: #fff;
	background-color: #343a40;
	border-color: #454d55;
}

.table .thead-light th {
	color: #495057;
	background-color: #e9ecef;
	border-color: #dee2e6;
}

.table-dark {
	color: #fff;
	background-color: #343a40;
}

.table-dark th,
.table-dark td,
.table-dark thead th {
	border-color: #454d55;
}

.table-dark.table-bordered {
	border: 0;
}

.table-dark.table-striped tbody tr:nth-of-type(odd) {
	background-color: rgba(255, 255, 255, 0.05);
}

.table-dark.table-hover tbody tr:hover {
	color: #fff;
	background-color: rgba(255, 255, 255, 0.075);
}

@media (max-width: 575.98px) {
	.table-responsive-sm {
		display: block;
		width: 100%;
		overflow-x: auto;
	}

	.table-responsive-sm > .table-bordered {
		border: 0;
	}
}

@media (max-width: 767.98px) {
	.table-responsive-md {
		display: block;
		width: 100%;
		overflow-x: auto;
	}

	.table-responsive-md > .table-bordered {
		border: 0;
	}
}

@media (max-width: 991.98px) {
	.table-responsive-lg {
		display: block;
		width: 100%;
		overflow-x: auto;
	}

	.table-responsive-lg > .table-bordered {
		border: 0;
	}
}

@media (max-width: 1199.98px) {
	.table-responsive-xl {
		display: block;
		width: 100%;
		overflow-x: auto;
	}

	.table-responsive-xl > .table-bordered {
		border: 0;
	}
}

.table-responsive {
	display: block;
	width: 100%;
	overflow-x: auto;
}

.table-responsive > .table-bordered {
	border: 0;
}

.table-responsive {
	display: block;
	width: 100%;
	overflow-x: auto;
}

.table-responsive > .table-bordered {
	border: 0;
}

/* daterangepicker CSS */

.vue-daterange-picker .reportrange-text,
.vue-daterange-picker-label {
	margin-left: 0 !important;
}

.vue-daterange-picker .reportrange-text .fa-calendar,
.vue-daterange-picker-label .fa-calendar {
	display: none;
}

.vue-daterange-picker .dropdown-menu {
	padding: 10px !important;
	top: 55px !important;
	left: 0 !important;
}

.month {
	width: 570px;
	padding: 20px;
	background: #fff;
	position: relative;
	overflow: hidden;
	float: left;
	margin: 20px 0;
	height: 475px;
}

.month h3 {
	text-align: center;
	margin: -20px -20px 30px -20px;
	padding: 20px 0;
	background: red;
	color: #fff;
}

.day,
.dow,
.dummy-day {
	display: inline-block;
	width: 12.7864%;
	text-align: center;
	margin-right: 1.5%;
}

.dow {
	font-weight: bold;
	margin-bottom: 10px;
}

.day {
	color: #333;
	cursor: pointer;
	box-shadow: inset 0 0 0 1px #eee;
}

.day.weekend {
	background: #fafaff;
}

.day:hover {
	outline: 1px solid #000;
}

.day,
.dummy-day {
	height: 60px;
	display: inline-flex;
	margin-bottom: 1.5%;
	background: #fff;
	align-items: center;
	justify-content: center;
	vertical-align: middle;
	font-weight: bold;
	flex-direction: column;
}

.dummy-day {
	background: #f5f5f5;
	color: #ccc;
}

.day div,
.dummy-day div {
	font-weight: normal;
	border-top: 1px solid rgba(0, 0, 0, 0.2);
	padding-top: 5px;
	margin-top: 5px;
}

.day.weekend.bg_green,
.bg_green {
	background: rgba(34, 140, 34, 1);
	text-align: center;
	cursor: pointer;
	color: #fff;
}

.day.weekend.bg_percent_0,
.bg_percent_0 {
	background: rgba(34, 140, 34, 0);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_10,
.bg_percent_10 {
	background: rgba(34, 140, 34, 0.2);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_20,
.bg_percent_20 {
	background: rgba(34, 140, 34, 0.4);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_30,
.bg_percent_30 {
	background: rgba(137, 170, 29, 0.6);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_40,
.bg_percent_40 {
	background: rgba(178, 186, 23, 0.7);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_50,
.bg_percent_50 {
	background: rgba(221, 203, 14, 0.7);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_60,
.bg_percent_60 {
	background: rgba(255, 170, 0, 0.8);
	text-align: center;
	cursor: pointer;
}

.day.weekend.bg_percent_70,
.bg_percent_70 {
	background: rgba(240, 97, 61, 0.9);
	text-align: center;
	cursor: pointer;
	color: #ffffff;
}

.day.weekend.bg_percent_80,
.bg_percent_80 {
	background: #f0633f;
	text-align: center;
	cursor: pointer;
	color: #ffffff;
}

.day.weekend.bg_percent_90,
.bg_percent_90 {
	background: #ee0c04;
	text-align: center;
	cursor: pointer;
	color: #ffffff;
}

.day.weekend.bg_percent_100,
.bg_percent_100,
.day.weekend.bg_red,
.bg_red {
	background: #8b0000;
	text-align: center;
	cursor: pointer;
	color: #ffffff;
}

.div-overlay {
	position: fixed;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.7);
	z-index: 1050;
}

.div-overlay > .container {
	width: 90%;
	max-width: 700px;
}

.daterangepicker {
	display: block !important;
	width: 585px;
}

.daterangepicker .drp-calendar th.month {
	font-weight: 500;
	padding: 0 !important;
	margin: 0 !important;
	background: transparent !important;
	padding-top: 5px !important;
	overflow: visible !important;
	position: absolute;
	width: 80px;
	text-align: center;
	left: calc(50% - 40px);
}

.daterangepicker .drp-calendar th.next {
	position: absolute;
	right: 0;
}

.table-condensed thead {
	position: relative;
}

.table-condensed thead tr {
	background-color: #fff;
}

.center-text {
	vertical-align: middle;
	text-align: center;
}

.v-picker__title {
	color: #000000;
}

.v-date-picker-table .v-btn.v-btn--active {
	color: #000;
}

.v-page-loader {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 9999;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.lds-ring {
	display: inline-block;
	position: relative;
	width: 80px;
	height: 80px;
}

.lds-ring div {
	box-sizing: border-box;
	display: block;
	position: absolute;
	width: 64px;
	height: 64px;
	margin: 8px;
	border: 8px solid #fff;
	border-radius: 50%;
	animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
	border-color: #fff transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
	animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
	animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
	animation-delay: -0.15s;
}

@keyframes lds-ring {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

.error--text {
	color: #ff0000 !important;
}

/** Grid CSS **/
.e-pager .e-currentitem,
.e-pager .e-currentitem:hover,
.e-daterangepicker.e-popup .e-calendar .e-end-date.e-selected.e-range-hover span.e-day,
.e-daterangepicker.e-popup .e-calendar .e-start-date.e-selected.e-range-hover span.e-day,
.e-bigger.e-small .e-daterangepicker.e-popup .e-calendar .e-end-date.e-selected.e-range-hover span.e-day,
.e-bigger.e-small .e-daterangepicker.e-popup .e-calendar .e-start-date.e-selected.e-range-hover span.e-day,
.e-bigger.e-small.e-daterangepicker.e-popup .e-calendar .e-end-date.e-selected.e-range-hover span.e-day,
.e-bigger.e-small.e-daterangepicker.e-popup .e-calendar .e-start-date.e-selected.e-range-hover span.e-day,
.e-input-group:not(.e-float-icon-left):not(.e-float-input)::before,
.e-input-group:not(.e-float-icon-left):not(.e-float-input)::after,
.e-input-group.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::before,
.e-input-group.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::after,
.e-input-group.e-control-wrapper:not(.e-float-icon-left):not(.e-float-input)::before,
.e-input-group.e-control-wrapper:not(.e-float-icon-left):not(.e-float-input)::after,
.e-input-group.e-control-wrapper.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::before,
.e-input-group.e-control-wrapper.e-float-icon-left:not(.e-float-input) .e-input-in-wrap::after,
.e-calendar .e-content td.e-selected span.e-day,
.e-bigger.e-small .e-calendar .e-content td.e-selected span.e-day,
.e-calendar .e-content td.e-today.e-selected:hover span.e-day,
.e-calendar .e-content td.e-selected:hover span.e-day,
.e-calendar .e-content td.e-selected.e-focused-date span.e-day,
.e-bigger.e-small .e-calendar .e-content td.e-today.e-selected:hover span.e-day,
.e-bigger.e-small .e-calendar .e-content td.e-selected:hover span.e-day,
.e-bigger.e-small .e-calendar .e-content td.e-selected.e-focused-date span.e-,
.e-pager .e-currentitem.e-numericitem.e-focused {
	background: var(--rez-primary);
}

.e-btn.e-flat.e-primary,
.e-css.e-btn.e-flat.e-primary,
.e-date-range-wrapper .e-input-group-icon.e-icons.e-active,
.e-btn.e-flat.e-primary:hover,
.e-css.e-btn.e-flat.e-primary:hover {
	color: var(--rez-primary);
}

.e-calendar .e-content td.e-today span.e-day,
.e-calendar .e-content td.e-focused-date.e-today span.e-day,
.e-bigger.e-small .e-calendar .e-content td.e-today span.e-day,
.e-bigger.e-small .e-calendar .e-content td.e-focused-date.e-today span.e-day {
	border-color: var(--rez-primary);
	color: var(--rez-primary);
}

/* For Showing quill editor data in List view */
.trimmed:not(:empty) {
	max-height: 20px;
	overflow: hidden;
	transition: max-height 0.15s ease-out;
	border-bottom: 1px dotted #000;
	word-wrap: break-word;
	white-space: normal;
}

.trimmed:not(:empty):hover {
	max-height: 500px;
	transition: max-height 0.25s ease-in;
	border-bottom: none;
	cursor: pointer;
}

.v-card {
	-webkit-box-shadow: 0 0 6px 5px rgba(220, 220, 220, 0.7);
	box-shadow: 0 0 6px 5px rgba(220, 220, 220, 0.7);
	border-radius: 0.5rem !important;
	border: none !important;
}

.wrapper {
	background-color: #efefef;
}

.dx-scrollable-content tbody .dx-row:hover td {
	background-color: #efefef !important;
}

.back-button-right {
	text-align: -webkit-right;
}

.hover-scroll-overlay-y {
	overflow: overlay;
}

#brand_selector {
	padding: 10px 1rem 0 1rem;
	background-color: #eee;
	/* display: none; */
}

#brand_selector .v-text-field__details {
	display: none;
}

.hide {
	display: none;
}

.v-overlay__scrim {
	opacity: 0.9 !important;
}

.menu-icon .svg-icon img {
	width: 26px;
	height: 26px;
}
